
  <p class="description"><?php echo t('Choose an Opinion Monitor from the list to see its results:'); ?></p>

  <select id="opmon-results-select-opmon">
    <option value=""><?php echo t('-- Select --'); ?></option>
<?php
// Get a list of all the available opmons.
$opmons = opmon_get_available_opmons();
foreach ($opmons as $opmon_nid => $opmon_title) {
?>
    <option value="<?php echo $opmon_nid; ?>"><?php echo htmlentities($opmon_title); ?></option>
<?php
}
?>
  </select>

  <select id="opmon-results-select-question">
  </select>

<?php

// Only load the opinion monitor metrics form if we have some opinion monitor metrics to populate it with.
if (!empty($metrics['gender']) || !empty($metrics['age']) || !empty($metrics['location'])) {
  // Add an '-- All --' option to the start of the various metrics.
  $metrics_list = $metrics;
  foreach ($metrics_list as &$metric) {
    $metric = array_merge(array('-- All --' => t('-- All --')), $metric);
  }

?>
      <p class="description"><?php echo t('Choose options to narrow your comparison:'); ?></p>
<?php
  if (!empty($metrics['gender'])) {
?>
      <label for="opmon-results-select-gender"><?php echo t('Gender:'); ?></label>
      <select id="opmon-results-select-gender">
<?php
    foreach ($metrics_list['gender'] as $gender_key => $gender) {
      echo '<option value="' . htmlentities($gender_key) . '">' . htmlentities($gender) . '</option>' . "\n";
    }
?>
      </select>
<?php
  }
?>

<?php
  if (!empty($metrics['age'])) {
?>
      <label for="opmon-results-select-age"><?php echo t('Age:'); ?></label>
      <select id="opmon-results-select-age">
<?php
    foreach ($metrics_list['age'] as $age) {
      echo '<option value="' . htmlentities($age) . '">' . htmlentities($age) . '</option>' . "\n";
    }
?>
      </select>
<?php
  }
?>

<?php
  if (!empty($metrics['location'])) {
?>
      <label for="opmon-results-select-location"><?php echo t('Location:'); ?></label>
      <select id="opmon-results-select-location">
<?php
  foreach ($metrics_list['location'] as $location) {
    echo '<option value="' . htmlentities($location) . '">' . htmlentities($location) . '</option>' . "\n";
  }
?>
      </select>
<?php
  }
}
?>
  <input type="button" id="opmon-results-compare" value="<?php echo t('Compare'); ?>" />

  <!-- A DIV for drawing the charts -->
  <div id="opmon-results-chart-wrapper">
    <div id="opmon-results-chart"></div>
    <div>
      <a id="opmon-data-download-link" href="#" target="_blank" style="display: none;"><?php echo t('Download all data for this Opinion Monitor (CSV format)'); ?></a>
    </div>
  </div>
