<?php

//------------------------------------------------------------------------------
// DATA PREPARATION
//------------------------------------------------------------------------------

// Save the possible answer strings to a pair of variables.
$answer_low_source = field_get_items('node', $node, 'answer_low');
$answer_high_source = field_get_items('node', $node, 'answer_high');

$answer_low = $answer_low_source[0]['value'];
$answer_high = $answer_high_source[0]['value'];


//------------------------------------------------------------------------------
// OPINION MONITOR QUESTION
//------------------------------------------------------------------------------

// Output the Opinion Monitor Question node in a DIV of its own.
?>
<div class="opmon-question-wrapper<?php if ($sticky) { echo ' sticky'; } ?><?php if (!$status) { echo ' node-unpublished'; } ?>" title="<?php echo $title; ?>">
  <div class="opmon-question">
<?php
// Output the Opinion Monitor Question's content - the question itself.
echo $body[0]['value'];
?>
  </div>
  <div class="opmon-answer">
    <div class="opmon-answer-row">
      <div class="opmon-answer-low"><?php echo $answer_low; ?></div>
      <div class="opmon-answer-slider-wrapper">
        <div class="opmon-answer-slider"></div>
      </div>
      <div class="opmon-answer-high"><?php echo $answer_high; ?></div>
    </div>
  </div>
</div>
